<app-create-policy></app-create-policy>
<div class="example-container mat-elevation-z8">
  <table class="clientsTable" mat-table [dataSource]="list">


    <ng-container matColumnDef="type">
      <th mat-header-cell *matHeaderCellDef> Type </th>
      <td mat-cell *matCellDef="let policy"> {{policy.types}} </td>
    </ng-container>

    <ng-container matColumnDef="subtype">
      <th mat-header-cell *matHeaderCellDef> Subtype </th>
      <td mat-cell *matCellDef="let policy"> {{policy.subtype}} </td>
    </ng-container>


    <ng-container matColumnDef="number">
      <th mat-header-cell *matHeaderCellDef> Number </th>
      <td mat-cell *matCellDef="let policy"> {{policy.number}} </td>
    </ng-container>

    <ng-container matColumnDef="period">
      <th mat-header-cell *matHeaderCellDef> Period </th>
      <td mat-cell *matCellDef="let policy"> {{policy.period}} </td>
    </ng-container>
    <ng-container matColumnDef="startDate">
      <th mat-header-cell *matHeaderCellDef> Start Date </th>
      <td mat-cell *matCellDef="let policy"> {{policy.startDate}} </td>
    </ng-container>

    <ng-container matColumnDef="endDate">
      <th mat-header-cell *matHeaderCellDef> End Date</th>
      <td mat-cell *matCellDef="let policy"> {{policy.endDate}} </td>
    </ng-container>
    <ng-container matColumnDef="fee">
      <th mat-header-cell *matHeaderCellDef> Fee </th>
      <td mat-cell *matCellDef="let policy"> {{policy.fee}} </td>
    </ng-container>
    <ng-container matColumnDef="euroFee">
      <th mat-header-cell *matHeaderCellDef> GDPR</th>
      <td mat-cell *matCellDef="let policy"> {{(policy.fee / euroPrice).toFixed(2)}} </td>
    </ng-container>

    <ng-container matColumnDef="function">
      <th mat-header-cell *matHeaderCellDef> Function</th>
      <td mat-cell *matCellDef="let policy">
        <button type="button" class="btn btn-info" (click)="editItem(policy)">Edit</button>
      </td>
    </ng-container>
    <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>
